require 'rspec'
require_relative '../lib/utilities'


describe 'utilties' do

  let(:comparison) do
    po_file = File.join('spec','support','data','file.po')
    compound_file = File.join('spec','support','data','file.json')
    DeterminationsComparison::Comparison.new( po_file, compound_file)
  end


  it 'should determine that program does exist on box' do
    path = Utilities.which("CompareDeterminations.py")
    expect(path).to_not eq(nil)
  end

  it 'should determine that program does not exist on box' do
    path = Utilities.which("BogusProgram.py")
    expect(path).to eq(nil)
  end

end