require 'rspec'
require_relative '../lib/exe_cpplogreader'


describe 'EXE CPPlogReader' do

  it 'should output JSON when run' do

    batch_folderpath = "spec/support/data/test_batch"
    sample_index = 4
    analyte_name = 'isoleucine_plasma_csf'
    chromatogram_type = 'Quant'

    log = ExeCppLogReader.new(batch_folderpath,sample_index,analyte_name,chromatogram_type)

    retcode,rundetails = log.run

    expect(retcode).to eq(true)

    expect(rundetails[:stdout].class.to_s).to eq('Hash')

  end


end