require 'rspec'
require_relative '../lib/html_table_of_peak_picking_log'

describe 'html_table_of_peak_picking_log' do

  let(:html_table) do

    batch_folderpath = "spec/support/data/test_batch"
    sample_index = 1
    analyte_name = 'MMA'
    chromatogram_type = 'Quant'

    HTML_Table_of_Peak_Picking_Log.new(batch_folderpath,sample_index,analyte_name,chromatogram_type)
  end

  let(:file) do
    File.join('htmlPPlogTest.html')
  end

  it 'should generate html table' do
    html_table.render
    html_table.save file
  end

  after :each do
   FileUtils.remove file
  end

end